import unittest
from pysqlizer import sqlify, sqlifylike

class TestPysqlizer(unittest.TestCase):

    def test_sqlify(self):
        self.assertEqual(sqlify("user_id", [1, 2, 3], condition="IN"), "user_id IN (1, 2, 3)")
        self.assertEqual(sqlify("username", "john"), "username = 'john'")
        self.assertEqual(sqlify("amount", 100, condition=">"), "amount > 100")

    def test_sqlifylike(self):
        self.assertEqual(sqlifylike("username", "john"), "username LIKE '%john%'")
        self.assertEqual(sqlifylike("username", "doe", wildcard="%{value}xyz%"), "username LIKE '%doexyz%'")

if __name__ == "__main__":
    unittest.main()
